> For the complete documentation index, see [llms.txt](https://docs.getuntitled.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getuntitled.ai/api-documentation/tags.md).

# Tags

## List Tags

> Returns all tracking tags in your workspace.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagApiResponse":{"properties":{"id":{"type":"string","title":"Id"},"tag_id":{"type":"string","title":"Tag Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"type":"string","title":"Url"},"status":{"type":"string","title":"Status"},"mtd_resolutions":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Mtd Resolutions"},"created_at":{"type":"string","title":"Created At"},"created_by":{"type":"string","title":"Created By"},"updated_at":{"type":"string","title":"Updated At"},"updated_by":{"type":"string","title":"Updated By"},"monthly_budget":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Monthly Budget","description":"Only surface the budget cap when budgets are actually enabled.","readOnly":true},"last_tracked_activity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Tracked Activity","readOnly":true}},"type":"object","required":["id","tag_id","name","url","status","created_at","created_by","updated_at","updated_by","monthly_budget","last_tracked_activity"],"title":"TagApiResponse"}}},"paths":{"/tags":{"get":{"tags":["Tags"],"summary":"List Tags","description":"Returns all tracking tags in your workspace.","operationId":"get_tags_tags_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TagApiResponse"},"type":"array","title":"Response Get Tags Tags Get"}}}}}}}}}
```

## Create Tag

> Creates a new tracking tag for your workspace.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagApiCreate":{"properties":{"alias":{"type":"string","title":"Alias"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}},"type":"object","required":["alias"],"title":"TagApiCreate"},"TagApiResponse":{"properties":{"id":{"type":"string","title":"Id"},"tag_id":{"type":"string","title":"Tag Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"type":"string","title":"Url"},"status":{"type":"string","title":"Status"},"mtd_resolutions":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Mtd Resolutions"},"created_at":{"type":"string","title":"Created At"},"created_by":{"type":"string","title":"Created By"},"updated_at":{"type":"string","title":"Updated At"},"updated_by":{"type":"string","title":"Updated By"},"monthly_budget":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Monthly Budget","description":"Only surface the budget cap when budgets are actually enabled.","readOnly":true},"last_tracked_activity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Tracked Activity","readOnly":true}},"type":"object","required":["id","tag_id","name","url","status","created_at","created_by","updated_at","updated_by","monthly_budget","last_tracked_activity"],"title":"TagApiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/tags":{"post":{"tags":["Tags"],"summary":"Create Tag","description":"Creates a new tracking tag for your workspace.","operationId":"create_tag_tags_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiCreate"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Get Tag

> Returns a single tag by ID. Returns \`404\` if the tag does not exist.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagApiResponse":{"properties":{"id":{"type":"string","title":"Id"},"tag_id":{"type":"string","title":"Tag Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"type":"string","title":"Url"},"status":{"type":"string","title":"Status"},"mtd_resolutions":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Mtd Resolutions"},"created_at":{"type":"string","title":"Created At"},"created_by":{"type":"string","title":"Created By"},"updated_at":{"type":"string","title":"Updated At"},"updated_by":{"type":"string","title":"Updated By"},"monthly_budget":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Monthly Budget","description":"Only surface the budget cap when budgets are actually enabled.","readOnly":true},"last_tracked_activity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Tracked Activity","readOnly":true}},"type":"object","required":["id","tag_id","name","url","status","created_at","created_by","updated_at","updated_by","monthly_budget","last_tracked_activity"],"title":"TagApiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/tags/{id}":{"get":{"tags":["Tags"],"summary":"Get Tag","description":"Returns a single tag by ID. Returns `404` if the tag does not exist.","operationId":"get_tag_tags__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Delete Tag

> Permanently deletes a tag.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagApiDeleteResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"message":{"type":"string","title":"Message"}},"type":"object","required":["id","name","message"],"title":"TagApiDeleteResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/tags/{id}":{"delete":{"tags":["Tags"],"summary":"Delete Tag","description":"Permanently deletes a tag.","operationId":"delete_tag_tags__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Update Tag

> Updates a tag's name, description, status, or monthly spend cap. Only send the fields you want to change.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagUpdate":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"tag_cap":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Tag Cap"},"status":{"anyOf":[{"type":"string","enum":["enabled","disabled"]},{"type":"null"}],"title":"Status"}},"type":"object","title":"TagUpdate"},"TagApiResponse":{"properties":{"id":{"type":"string","title":"Id"},"tag_id":{"type":"string","title":"Tag Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"type":"string","title":"Url"},"status":{"type":"string","title":"Status"},"mtd_resolutions":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Mtd Resolutions"},"created_at":{"type":"string","title":"Created At"},"created_by":{"type":"string","title":"Created By"},"updated_at":{"type":"string","title":"Updated At"},"updated_by":{"type":"string","title":"Updated By"},"monthly_budget":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Monthly Budget","description":"Only surface the budget cap when budgets are actually enabled.","readOnly":true},"last_tracked_activity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Tracked Activity","readOnly":true}},"type":"object","required":["id","tag_id","name","url","status","created_at","created_by","updated_at","updated_by","monthly_budget","last_tracked_activity"],"title":"TagApiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/tags/{id}":{"patch":{"tags":["Tags"],"summary":"Update Tag","description":"Updates a tag's name, description, status, or monthly spend cap. Only send the fields you want to change.","operationId":"update_tag_tags__id__patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Update Tag Status

> Enables or disables a tag.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.12.7"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"TagStatusUpdate":{"properties":{"status":{"type":"string","enum":["enabled","disabled"],"title":"Status"}},"type":"object","required":["status"],"title":"TagStatusUpdate"},"TagApiResponse":{"properties":{"id":{"type":"string","title":"Id"},"tag_id":{"type":"string","title":"Tag Id"},"name":{"type":"string","title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"type":"string","title":"Url"},"status":{"type":"string","title":"Status"},"mtd_resolutions":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Mtd Resolutions"},"created_at":{"type":"string","title":"Created At"},"created_by":{"type":"string","title":"Created By"},"updated_at":{"type":"string","title":"Updated At"},"updated_by":{"type":"string","title":"Updated By"},"monthly_budget":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Monthly Budget","description":"Only surface the budget cap when budgets are actually enabled.","readOnly":true},"last_tracked_activity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Tracked Activity","readOnly":true}},"type":"object","required":["id","tag_id","name","url","status","created_at","created_by","updated_at","updated_by","monthly_budget","last_tracked_activity"],"title":"TagApiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/tags/{id}/status":{"post":{"tags":["Tags"],"summary":"Update Tag Status","description":"Enables or disables a tag.","operationId":"update_tag_status_tags__id__status_post","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagStatusUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagApiResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.getuntitled.ai/api-documentation/tags.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
